package com.ruoyi.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户评价对象 applet_comment
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public class AppletComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String comment;

    /** 满意度 */
    @Excel(name = "满意度")
    private Long satisfaction;

    /** 关联评价人员ID */
    @Excel(name = "关联评价人员ID")
    private Long user1Id;

    /** 关联服务人员ID */
    @Excel(name = "关联服务人员ID")
    private Long user2Id;

    /** 删除标识 */
    private Integer delFlag;

    //关联评价人员信息
    @TableField(exist = false)
    private AppUsers appUsers;

    //关联服务人员信息
    @TableField(exist = false)
    private AppletUsersTeacher appletUsersTeacher;

    public AppUsers getAppUsers() {
        return appUsers;
    }

    public void setAppUsers(AppUsers appUsers) {
        this.appUsers = appUsers;
    }

    public AppletUsersTeacher getAppletUsersTeacher() {
        return appletUsersTeacher;
    }

    public void setAppletUsersTeacher(AppletUsersTeacher appletUsersTeacher) {
        this.appletUsersTeacher = appletUsersTeacher;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setSatisfaction(Long satisfaction) 
    {
        this.satisfaction = satisfaction;
    }

    public Long getSatisfaction() 
    {
        return satisfaction;
    }
    public void setUser1Id(Long user1Id) 
    {
        this.user1Id = user1Id;
    }

    public Long getUser1Id() 
    {
        return user1Id;
    }
    public void setUser2Id(Long user2Id) 
    {
        this.user2Id = user2Id;
    }

    public Long getUser2Id() 
    {
        return user2Id;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comment", getComment())
            .append("satisfaction", getSatisfaction())
            .append("user1Id", getUser1Id())
            .append("user2Id", getUser2Id())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
